Bug 518457 - user configuration of plugins doesn't survive service restart
Summary: user configuration of plugins doesn't survive service restart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 13:47 UTC by Ales Zelinka
Modified: 2015-02-01 22:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-18 13:27:32 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2009-08-20 13:47:12 UTC
Description of problem:
There is a default system-wide configuration of enabled plugins in /etc/abrt/abrt.conf. Uses can modify this via abrt-gui's preferences dialog (register/unregister plugins). But those user changes are not stored in any config file and are lost during service restarts.

Take for example two users, one have configured bugzilla plugin, one does not. Currently, depending on system-wide configuration, either both have bugzilla enabled (and one gets error messages) or both have bugzilla disabled or they have to alter their preferences all the time to get the desired behaviour.


Version-Release number of selected component (if applicable):
abrt-0.0.7.1-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. run abrt-gui, disable an enabled plugin via edit->preferences
2. restart abrt service
3. run abrt-gui again, check the status of the plugin
  
Actual results:
It's re-enabled again.

Expected results:
Stays disabled.

Additional info:
Having user-specific plugin configuration probably doesn't make sense for any but reporter-type plugins. Those could be stored in ~/.abrt/abrt.conf and registerd/unregistered upon abrt-gui startup.

Comment 1 Bug Zapper 2009-11-16 11:34:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Denys Vlasenko 2010-01-18 13:27:32 UTC
This is fixed in the currently released version, 1.0.3


Note You need to log in before you can comment on or make changes to this bug.